### Class

# PangoFc Font

#### Description [src]

    abstract class PangoFc.Font : Pango.Font
    {
      FcPattern* font_pattern,
      PangoFontMap* fontmap,
      gpointer priv,
      PangoMatrix matrix,
      PangoFontDescription* description,
      gpointer metrics_by_lang,
      guint is_hinted : 1,
      guint is_transformed : 1
    }

`PangoFcFont` is a base class for font implementations using the Fontconfig and FreeType libraries.

It is used in onjunction with `PangoFcFontMap`. When deriving from this class, you need to implement all of its virtual functions other than `shutdown()` along with the `get_glyph_extents()` virtual function from `PangoFont`.

#### Ancestors

- PangoFont
- GObject

#### Functions

###### pango_fc_font_description_from_pattern

Creates a `PangoFontDescription` that matches the specified Fontconfig pattern as closely as possible.

since: 1.4

#### Instance methods

###### pango_fc_font_get_glyph

Gets the glyph index for a given Unicode character for `font`.

since: 1.4

###### pango_fc_font_get_languages

Returns the languages that are supported by `font`.

deprecated: 1.50 since: 1.48

###### pango_fc_font_get_pattern

Returns the FcPattern that `font` is based on.

since: 1.48

###### pango_fc_font_get_unknown_glyph

Returns the index of a glyph suitable for drawing `wc` as an unknown character.

since: 1.4

###### pango_fc_font_has_char

Determines whether `font` has a glyph for the codepoint `wc`.

deprecated: 1.44 since: 1.4

###### pango_fc_font_kern_glyphs

This function used to adjust each adjacent pair of glyphs in `glyphs` according to kerning information in `font`.

deprecated: 1.32 since: 1.4

###### pango_fc_font_lock_face

Gets the FreeType `FT_Face` associated with a font.

deprecated: 1.44 since: 1.4

###### pango_fc_font_unlock_face

Releases a font previously obtained with `pango_fc_font_lock_face()`.

deprecated: 1.44 since: 1.4

##### Methods inherited from PangoFont (12)

###### pango_font_describe

Returns a description of the font, with font size set in points.

###### pango_font_describe_with_absolute_size

Returns a description of the font, with absolute font size set in device units.

###### pango_font_get_coverage

Computes the coverage map for a given font and language tag.

###### pango_font_get_face

Gets the `PangoFontFace` to which `font` belongs.

###### pango_font_get_features

Obtain the OpenType features that are provided by the font.

###### pango_font_get_font_map

Gets the font map for which the font was created.

###### pango_font_get_glyph_extents

Gets the logical and ink extents of a glyph within a font.

###### pango_font_get_hb_font

Get a `hb_font_t` object backing this font.

###### pango_font_get_languages

Returns the languages that are supported by `font`.

###### pango_font_get_metrics

Gets overall metric information for a font.

###### pango_font_has_char

Returns whether the font provides a glyph for this character.

###### pango_font_serialize

Serializes the `font` in a way that can be uniquely identified.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### PangoFc.Font:fontmap

The PangoFc font map this font is associated with.

###### PangoFc.Font:pattern

The fontconfig pattern for this font.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PangoFcFontClass {
      /* no available fields */
    }

No description available.